MWAWGraphicStyle Class Reference documentation

MWAWGraphicStyle Class Reference

a structure used to define a picture style More...

`#include <MWAWGraphicStyle.hxx>`

Inheritance diagram for MWAWGraphicStyle:

## Classes
struct | Arrow
| a structure used to define an arrow More...
struct | Gradient
| a basic gradient used in a MWAWGraphicStyle More...
struct | Hatch
| a basic hatch used in MWAWGraphicStyle More...
struct | Pattern
| a basic pattern used in a MWAWGraphicStyle: More...

## Public Types
enum | LineCap { C_Butt , C_Square , C_Round }
| an enum used to define the basic line cap More...
enum | LineJoin { J_Miter , J_Round , J_Bevel }
| an enum used to define the basic line join More...
enum | VerticalAlignment { V_AlignBottom , V_AlignCenter , V_AlignJustify , V_AlignTop , V_AlignDefault }
| an enum used to define the vertical alignment More...

## Public Member Functions
| MWAWGraphicStyle ()
| constructor
| MWAWGraphicStyle (MWAWGraphicStyle const &)=default
MWAWGraphicStyle & | operator= (MWAWGraphicStyle const &)=default
MWAWGraphicStyle & | operator= (MWAWGraphicStyle &&)=default
virtual | ~MWAWGraphicStyle ()
| virtual destructor
bool | hasLine () const
| returns true if the border is defined
void | setSurfaceColor (MWAWColor const &col, float opacity=1)
| set the surface color
bool | hasSurfaceColor () const
| returns true if the surface is defined
void | setPattern (Pattern const &pat, float opacity=1)
| set the pattern
bool | hasPattern () const
| returns true if the pattern is defined
bool | hasGradient (bool complex=false) const
| returns true if the gradient is defined
bool | hasHatch () const
| returns true if the hatch is defined
bool | hasSurface () const
| returns true if the interior surface is defined
void | setBackgroundColor (MWAWColor const &col, float opacity=1)
| set the background color
bool | hasBackgroundColor () const
| returns true if the background is defined
void | setShadowColor (MWAWColor const &col, float opacity=1)
| set the shadow color
bool | hasShadow () const
| returns true if the shadow is defined
bool | hasBorders () const
| return true if the frame has some border
bool | hasSameBorders () const
| return true if the frame has some border
std::vector< MWAWBorder > const & | borders () const
| return the frame border: libmwaw::Left | ...
void | resetBorders ()
| reset the border
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::LeftBit|...
void | addTo (librevenge::RVNGPropertyList &pList, bool only1d=false) const
| add all the parameters to the propList excepted the frame parameter: the background and the borders
void | addFrameTo (librevenge::RVNGPropertyList &pList) const
| add all the frame parameters to propList: the background and the borders
int | cmp (MWAWGraphicStyle const &a) const
| compare two styles

## Static Public Member Functions
static MWAWGraphicStyle | emptyStyle ()
| returns an empty style.

## Public Attributes
std::vector< float > | m_lineDashWidth
| the dash array: a sequence of (fullsize, emptysize)
float | m_lineWidth
| the linewidth
LineCap | m_lineCap
| the line cap
LineJoin | m_lineJoin
| the line join
float | m_lineOpacity
| the line opacity: 0=transparent
MWAWColor | m_lineColor
| the line color
MWAWColor | m_surfaceColor
| the surface color
float | m_surfaceOpacity
| true if the surface has some color
MWAWColor | m_shadowColor
| the shadow color
float | m_shadowOpacity
| true if the shadow has some color
MWAWVec2f | m_shadowOffset
| the shadow offset
Pattern | m_pattern
| the pattern if it exists
Gradient | m_gradient
| the gradient
Hatch | m_hatch
| the hatch
MWAWColor | m_backgroundColor
| the background color
float | m_backgroundOpacity
| true if the background has some color
float | m_rotate
| the rotation
std::vector< MWAWBorder > | m_bordersList
| the borders MWAWBorder::Pos (for a frame)
std::string | m_frameName
| the frame name
std::string | m_frameNextName
| the frame next name (if there is a link)
Arrow | m_arrows [2]
| the two arrows corresponding to start and end extremity
bool | m_flip [2]
| two bool to indicated we need to flip the shape or not
bool | m_fillRuleEvenOdd
| true if the fill rule is evenod
bool | m_doNotPrint
| a bool to know if the shape must not be printed
VerticalAlignment | m_verticalAlignment
| related to text area
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWGraphicStyle const &st)
| a print operator

## Detailed Description

a structure used to define a picture style

Note
  in order to define the internal surface style, first it looks for a gradient, if so it uses it. Then it looks for a pattern. Finally if it found nothing, it uses surfaceColor and surfaceOpacity.

## Member Enumeration Documentation

## ◆ LineCap

enum MWAWGraphicStyle::LineCap

an enum used to define the basic line cap

Enumerator
C_Butt |
C_Square |
C_Round |

## ◆ LineJoin

enum MWAWGraphicStyle::LineJoin

an enum used to define the basic line join

Enumerator
J_Miter |
J_Round |
J_Bevel |

## ◆ VerticalAlignment

enum MWAWGraphicStyle::VerticalAlignment

an enum used to define the vertical alignment

Note
  actually mainly used for text box

Enumerator
V_AlignBottom |
V_AlignCenter |
V_AlignJustify |
V_AlignTop |
V_AlignDefault |

## Constructor & Destructor Documentation

## ◆ MWAWGraphicStyle() [1/2]

MWAWGraphicStyle::MWAWGraphicStyle | ( |  | ) |
| inline

constructor

Referenced by cmp(), emptyStyle(), MWAWGraphicStyle(), operator<<, operator=(), operator=(), ClarisDrawGraphInternal::Style::Style(), ClarisWksGraphInternal::Style::Style(), and MsWksGraph::Style::Style().

## ◆ MWAWGraphicStyle() [2/2]

MWAWGraphicStyle::MWAWGraphicStyle | ( | MWAWGraphicStyle const & |  | ) |
| default

## ◆ ~MWAWGraphicStyle()

MWAWGraphicStyle::~MWAWGraphicStyle | ( |  | ) |
| virtual

virtual destructor

## Member Function Documentation

## ◆ addFrameTo()

void MWAWGraphicStyle::addFrameTo | ( | librevenge::RVNGPropertyList & | pList | ) | const

add all the frame parameters to propList: the background and the borders

Referenced by MWAWSpreadsheetListener::openFrame(), and MWAWTextListener::openFrame().

## ◆ addTo()

void MWAWGraphicStyle::addTo | ( | librevenge::RVNGPropertyList & | pList,
|  | bool | only1d = false ) const

add all the parameters to the propList excepted the frame parameter: the background and the borders

Referenced by MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertShape(), MWAWPresentationListener::insertShape(), MWAWSpreadsheetListener::insertShape(), MWAWTextListener::insertShape(), and HanMacWrdJGraph::sendTextbox().

## ◆ borders()

std::vector< MWAWBorder > const & MWAWGraphicStyle::borders | ( |  | ) | const
| inline

return the frame border: libmwaw::Left | ...

## ◆ cmp()

int MWAWGraphicStyle::cmp | ( | MWAWGraphicStyle const & | a | ) | const

compare two styles

## ◆ emptyStyle()

MWAWGraphicStyle MWAWGraphicStyle::emptyStyle | ( |  | ) |
| inlinestatic

returns an empty style.

Can be used to initialize a default frame style...

Referenced by MWAWGraphicListener::insertFooter(), MWAWPresentationListener::insertFooter(), MWAWGraphicListener::insertHeader(), MWAWPresentationListener::insertHeader(), MWAWListener::insertPicture(), MWAWPresentationListener::insertSlideNote(), MWAWListener::insertTextBox(), MWAWListener::insertTextBoxInShape(), Canvas5Graph::LocalState::LocalState(), MWAWListener::openFrame(), MWAWGraphicListener::openGroup(), MWAWPresentationListener::openGroup(), MWAWGraphicListener::openTable(), MWAWPresentationListener::openTable(), Canvas5Graph::send(), Canvas5Image::send(), CricketDrawParser::send(), RagTime5Graph::send(), RagTime5Graph::send(), CricketDrawParser::sendBitmap(), Canvas5Graph::sendCurveText(), BeagleWksBMParser::sendFrame(), BeagleWksDBParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksSSParser::sendFrame(), PowerPoint1Parser::sendFrame(), SpringBoardParser::sendFrame(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), FreeHandParser::sendPicture(), SuperPaintParser::sendPictures(), DrawTableParser::sendShape(), FreeHandParser::sendTextbox(), and CorelPainterParser::sendZone().

## ◆ hasBackgroundColor()

bool MWAWGraphicStyle::hasBackgroundColor | ( |  | ) | const
| inline

returns true if the background is defined

## ◆ hasBorders()

bool MWAWGraphicStyle::hasBorders | ( |  | ) | const
| inline

return true if the frame has some border

Referenced by addFrameTo(), and operator<<.

## ◆ hasGradient()

bool MWAWGraphicStyle::hasGradient | ( | bool | complex = false | ) | const
| inline

returns true if the gradient is defined

Referenced by MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), addTo(), MWAWGraphicStyle::Gradient::addTo(), hasSurface(), operator<<, and GreatWksGraph::sendTextbox().

## ◆ hasHatch()

bool MWAWGraphicStyle::hasHatch | ( |  | ) | const
| inline

returns true if the hatch is defined

Referenced by addTo(), MWAWGraphicStyle::Hatch::addTo(), hasSurface(), and operator<<.

## ◆ hasLine()

bool MWAWGraphicStyle::hasLine | ( |  | ) | const
| inline

returns true if the border is defined

Referenced by addTo(), MWAWGraphicShape::getBdBox(), MacDraft5Parser::readObject(), RagTime5Graph::send(), RagTimeParser::send(), RagTimeParser::sendPicture(), and ClarisWksTableInternal::TableCell::update().

## ◆ hasPattern()

bool MWAWGraphicStyle::hasPattern | ( |  | ) | const
| inline

returns true if the pattern is defined

Referenced by addTo(), hasSurface(), operator<<, HanMacWrdKGraph::sendFrame(), and GreatWksGraph::sendTextbox().

## ◆ hasSameBorders()

bool MWAWGraphicStyle::hasSameBorders | ( |  | ) | const
| inline

return true if the frame has some border

Referenced by addFrameTo().

## ◆ hasShadow()

bool MWAWGraphicStyle::hasShadow | ( |  | ) | const
| inline

returns true if the shadow is defined

Referenced by addFrameTo(), addTo(), and operator<<.

## ◆ hasSurface()

bool MWAWGraphicStyle::hasSurface | ( |  | ) | const
| inline

returns true if the interior surface is defined

Referenced by addTo(), MWAWGraphicListener::insertShape(), MWAWPresentationListener::insertShape(), MWAWSpreadsheetListener::insertShape(), MWAWTextListener::insertShape(), MacDrawProParser::readGeometryShapeData(), MacDraft5Parser::readObject(), Canvas5Graph::send(), Canvas5Image::send(), CanvasGraph::send(), ReadySetGoGraph::send(), ScoopParser::send(), CanvasGraph::sendMultiLines(), DrawTableParser::sendShape(), WingzGraph::sendShape(), Canvas5Graph::sendSpecial(), CanvasGraph::sendSpecial(), and Canvas5Graph::sendTechnical().

## ◆ hasSurfaceColor()

bool MWAWGraphicStyle::hasSurfaceColor | ( |  | ) | const
| inline

returns true if the surface is defined

Referenced by addTo(), ClarisDrawGraph::getSurfaceColor(), ClarisWksGraph::getSurfaceColor(), hasSurface(), operator<<, ClarisWksDbaseContent::readRecordSS(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), and GreatWksGraph::sendTextbox().

## ◆ operator=() [1/2]

MWAWGraphicStyle & MWAWGraphicStyle::operator= | ( | MWAWGraphicStyle && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWGraphicStyle & MWAWGraphicStyle::operator= | ( | MWAWGraphicStyle const & |  | ) |
| default

## ◆ resetBorders()

void MWAWGraphicStyle::resetBorders | ( |  | ) |
| inline

reset the border

Referenced by PowerPoint1Parser::readFramesList().

## ◆ setBackgroundColor()

void MWAWGraphicStyle::setBackgroundColor | ( | MWAWColor const & | col,
|  | float | opacity = 1 )
| inline

set the background color

Referenced by FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MacWrtProStructuresInternal::Graphic::fillFrame(), RagTimeParser::readDataZoneHeader(), HanMacWrdJGraph::sendComment(), ClarisWksGraph::sendGroupChild(), GreatWksGraph::sendTextbox(), and RagTime5StyleManager::updateFrameStyle().

## ◆ setBorders()

void MWAWGraphicStyle::setBorders | ( | int | wh,
|  | MWAWBorder const & | border )

sets the cell border: wh=libmwaw::LeftBit|...

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MacWrtProStructuresInternal::Graphic::fillFrame(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), PowerPoint7Graph::readStyle(), MacDrawProParser::send(), RagTimeParser::send(), HanMacWrdJGraph::sendComment(), BeagleWksBMParser::sendFrame(), BeagleWksDRParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksSSParser::sendFrame(), ClarisWksGraph::sendGroupChild(), and RagTimeParser::sendPicture().

## ◆ setPattern()

void MWAWGraphicStyle::setPattern | ( | Pattern const & | pat,
|  | float | opacity = 1 )
| inline

set the pattern

Referenced by RagTimeParser::readDataZoneHeader(), HanMacWrdJGraph::readFrames(), HanMacWrdKGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MsWksGraph::readPictHeader(), ScoopParser::readShape(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), GreatWksGraph::readStyle(), PowerPoint7Graph::readStyle(), MacDraftParser::send(), MarinerWrtGraph::sendRule(), DrawTableParser::sendShape(), CanvasGraph::update(), FreeHandParserInternal::State::updateFillStyle(), ApplePictParserInternal::State::updateStyle(), Canvas5StyleManager::updateSurfaceColor(), MacDraft5StyleManager::updateSurfaceStyle(), RagTime5StyleManager::updateSurfaceStyle(), and ClarisWksStyleManager::updateWallPaper().

## ◆ setShadowColor()

void MWAWGraphicStyle::setShadowColor | ( | MWAWColor const & | col,
|  | float | opacity = 1 )
| inline

set the shadow color

Referenced by FullWrtStruct::Border::addTo(), RagTimeParser::readDataZoneHeader(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisDrawGraph::readShape(), CricketDrawParser::readShape(), PowerPoint7Graph::readStyle(), and MacDrawProParser::send().

## ◆ setSurfaceColor()

void MWAWGraphicStyle::setSurfaceColor | ( | MWAWColor const & | col,
|  | float | opacity = 1 )
| inline

set the surface color

Referenced by BeagleWksSSParser::readChart(), HanMacWrdJGraph::readFrames(), HanMacWrdKGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MacDraftParser::readLabel(), MsWksGraph::readPictHeader(), CorelPainterParser::readPolygon(), CricketDrawParser::readShape(), ScoopParser::readShape(), SuperPaintParser::readShape(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), BeagleWksDRParser::readStyle(), PowerPoint7Graph::readStyle(), Canvas5Graph::send(), CanvasGraph::send(), MacDraftParser::send(), MacDrawProParser::send(), Canvas5Graph::sendDimension(), CanvasGraph::sendDimension(), BeagleWksDRParser::sendPictures(), ClarisDrawGraph::sendShape(), Canvas5Graph::sendSpecial(), CanvasGraph::update(), FreeHandParserInternal::State::updateFillStyle(), ClarisDrawStyleManager::updateGradient(), ClarisWksStyleManager::updateGradient(), ApplePictParserInternal::State::updateStyle(), Canvas5StyleManager::updateSurfaceColor(), MacDraft5StyleManager::updateSurfaceStyle(), RagTime5StyleManager::updateSurfaceStyle(), and ClarisWksStyleManager::updateWallPaper().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWGraphicStyle const & | st )
| friend

a print operator

## Member Data Documentation

## ◆ m_arrows

Arrow MWAWGraphicStyle::m_arrows[2]

the two arrows corresponding to start and end extremity

Referenced by addTo(), cmp(), MWAWGraphicShape::getBdBox(), HanMacWrdKGraphInternal::ShapeGraph::getStyle(), MsWksGraphInternal::BasicShape::getStyle(), operator<<, PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), MacDrawProParser::readGeometryShapeData(), PowerPoint7Graph::readLineArrows(), MacDraft5Parser::readObject(), MacDraftParser::readObject(), MsWksGraph::readPictHeader(), CricketDrawParser::readShape(), BeagleWksDRParser::readShapeDefinitions(), GreatWksGraph::readStyle(), Canvas5Image::send(), RagTime5Graph::send(), RagTimeParser::sendBasicPicture(), Canvas5Graph::sendDimension(), CanvasGraph::sendDimension(), Canvas5Graph::sendDimension9(), HanMacWrdJGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), ClarisDrawGraph::sendShape(), ClarisWksGraph::sendShape(), DrawTableParser::sendShape(), HanMacWrdJGraph::sendShapeGraph(), CanvasGraph::update(), MacDraft5StyleManager::updateArrows(), Canvas5StyleManager::updateLineStyle(), and GreatWksGraphInternal::FrameShape::updateStyle().

## ◆ m_backgroundColor

MWAWColor MWAWGraphicStyle::m_backgroundColor

the background color

Referenced by addFrameTo(), cmp(), MWAWGraphicStyle(), operator<<, and setBackgroundColor().

## ◆ m_backgroundOpacity

float MWAWGraphicStyle::m_backgroundOpacity

true if the background has some color

Referenced by addFrameTo(), cmp(), hasBackgroundColor(), MWAWGraphicStyle(), operator<<, ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), and setBackgroundColor().

## ◆ m_bordersList

std::vector<MWAWBorder> MWAWGraphicStyle::m_bordersList

the borders MWAWBorder::Pos (for a frame)

Referenced by addFrameTo(), borders(), cmp(), hasBorders(), hasSameBorders(), MWAWGraphicStyle(), operator<<, resetBorders(), and setBorders().

## ◆ m_doNotPrint

bool MWAWGraphicStyle::m_doNotPrint

a bool to know if the shape must not be printed

Referenced by addTo(), and MWAWGraphicStyle().

## ◆ m_extra

std::string MWAWGraphicStyle::m_extra

extra data

Referenced by MWAWGraphicStyle(), operator<<, HanMacWrdJGraph::readFrames(), MsWksGraph::readGradient(), ClarisWksStyleManager::readGraphStyles(), and GreatWksGraph::readStyle().

## ◆ m_fillRuleEvenOdd

bool MWAWGraphicStyle::m_fillRuleEvenOdd

true if the fill rule is evenod

Referenced by addTo(), cmp(), MWAWGraphicStyle(), operator<<, CorelPainterParser::readPolygon(), and MsWksGraph::Style::Style().

## ◆ m_flip

bool MWAWGraphicStyle::m_flip[2]

two bool to indicated we need to flip the shape or not

Referenced by cmp(), GreatWksGraphInternal::FrameText::getStyle(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertTextBox(), MWAWPresentationListener::insertTextBox(), MWAWGraphicStyle(), operator<<, BeagleWksDRParser::readShapeDefinitions(), CricketDrawParser::send(), ReadySetGoGraph::send(), and MacDrawProParser::updateGeometryShape().

## ◆ m_frameName

std::string MWAWGraphicStyle::m_frameName

the frame name

Referenced by ClarisDrawGraphInternal::ZoneZone::addFrameName(), ClarisWksGraphInternal::ZoneZone::addFrameName(), addFrameTo(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), MWAWGraphicListener::insertTextBox(), MWAWGraphicStyle(), operator<<, MsWksGraph::send(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_frameNextName

std::string MWAWGraphicStyle::m_frameNextName

the frame next name (if there is a link)

Referenced by ClarisDrawGraphInternal::ZoneZone::addFrameName(), ClarisWksGraphInternal::ZoneZone::addFrameName(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), MWAWGraphicListener::insertTextBox(), MWAWSpreadsheetListener::insertTextBox(), MWAWTextListener::insertTextBox(), MWAWGraphicStyle(), operator<<, MsWksGraph::send(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_gradient

Gradient MWAWGraphicStyle::m_gradient

the gradient

Referenced by addTo(), cmp(), hasGradient(), MWAWGraphicStyle(), operator<<, PowerPoint3Parser::readFramesList(), MsWksGraph::readGradient(), CricketDrawParser::readShape(), GreatWksGraph::readStyle(), PowerPoint7Graph::readStyle(), CanvasGraph::send(), ClarisDrawStyleManagerInternal::Gradient::update(), ClarisWksStyleManagerInternal::Gradient::update(), FreeHandParserInternal::State::updateFillStyle(), ClarisDrawStyleManager::updateGradient(), ClarisWksStyleManager::updateGradient(), MacDrawProStyleManager::updateGradient(), Canvas5StyleManager::updateSurfaceColor(), and RagTime5StyleManager::updateSurfaceStyle().

## ◆ m_hatch

Hatch MWAWGraphicStyle::m_hatch

the hatch

Referenced by addTo(), cmp(), hasHatch(), MWAWGraphicStyle(), operator<<, and Canvas5StyleManager::updateSurfaceColor().

## ◆ m_lineCap

LineCap MWAWGraphicStyle::m_lineCap

the line cap

Referenced by addTo(), cmp(), MWAWGraphicStyle(), operator<<, CorelPainterParser::readPolygon(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_lineColor

MWAWColor MWAWGraphicStyle::m_lineColor

the line color

Referenced by addTo(), cmp(), ApplePictParser::drawText(), MWAWGraphicStyle(), operator<<, BeagleWksSSParser::readChart(), RagTimeParser::readDataZoneHeader(), HanMacWrdJGraph::readFrames(), HanMacWrdKGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MacDraft5Parser::readObject(), MsWksGraph::readPictHeader(), CorelPainterParser::readPolygon(), CricketDrawParser::readShape(), ScoopParser::readShape(), SuperPaintParser::readShape(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), BeagleWksDRParser::readStyle(), GreatWksGraph::readStyle(), PowerPoint7Graph::readStyle(), ClarisWksTable::readTableCells(), RagTimeParser::send(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), RagTimeParser::sendPicture(), MarinerWrtGraph::sendRule(), DrawTableParser::sendShape(), Canvas5Graph::sendSpecial(), CanvasGraph::update(), ClarisWksTableInternal::TableCell::update(), RagTime5StyleManager::updateBorderStyle(), Canvas5StyleManager::updateLine(), Canvas5StyleManager::updateLineColor(), FreeHandParserInternal::State::updateLineStyle(), MacDraft5StyleManager::updateLineStyle(), and ApplePictParserInternal::State::updateStyle().

## ◆ m_lineDashWidth

std::vector<float> MWAWGraphicStyle::m_lineDashWidth

the dash array: a sequence of (fullsize, emptysize)

Referenced by addTo(), cmp(), MWAWGraphicStyle(), operator<<, PowerPoint3Parser::readFramesList(), MacDraft5Parser::readObject(), ClarisDrawGraph::readShape(), CricketDrawParser::readShape(), GreatWksGraph::readStyle(), PowerPoint7Graph::readStyle(), Canvas5Image::send(), CanvasGraph::update(), RagTime5StyleManager::updateBorderStyle(), Canvas5StyleManager::updateLineStyle(), FreeHandParserInternal::State::updateLineStyle(), MacDraft5StyleManager::updateLineStyle(), and GreatWksGraphInternal::FrameShape::updateStyle().

## ◆ m_lineJoin

LineJoin MWAWGraphicStyle::m_lineJoin

the line join

Referenced by addTo(), cmp(), MWAWGraphicStyle(), operator<<, CorelPainterParser::readPolygon(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_lineOpacity

float MWAWGraphicStyle::m_lineOpacity

the line opacity: 0=transparent

Referenced by addTo(), cmp(), hasLine(), MWAWGraphicStyle(), operator<<, HanMacWrdJGraph::readFrames(), HanMacWrdKGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), MacDraft5Parser::readModifier(), CorelPainterParser::readPolygon(), GreatWksGraph::readStyle(), RagTime5StyleManager::updateBorderStyle(), Canvas5StyleManager::updateLineColor(), and MacDraft5StyleManager::updateLineStyle().

## ◆ m_lineWidth

float MWAWGraphicStyle::m_lineWidth

the linewidth

Referenced by addTo(), cmp(), emptyStyle(), MWAWGraphicShape::getBdBox(), GreatWksGraphInternal::FrameText::getStyle(), hasLine(), MWAWGraphicStyle(), operator<<, BeagleWksSSParser::readChart(), RagTimeParser::readDataZoneHeader(), HanMacWrdJGraph::readFrames(), HanMacWrdKGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MacDraftParser::readLabel(), MacDraft5Parser::readObject(), MacDraftParser::readObject(), MsWksGraph::readPictHeader(), CorelPainterParser::readPolygon(), CricketDrawParser::readShape(), ScoopParser::readShape(), SuperPaintParser::readShape(), ReadySetGoGraph::readShapeV1(), ReadySetGoGraph::readShapeV2(), BeagleWksDRParser::readStyle(), GreatWksGraph::readStyle(), PowerPoint7Graph::readStyle(), ClarisWksTable::readTableCells(), Canvas5Graph::send(), Canvas5Graph::send(), Canvas5Image::send(), CanvasGraph::send(), MacDrawProParser::send(), MsWksGraph::send(), RagTime5Graph::send(), RagTimeParser::send(), MacDraft5Parser::sendBitmap(), MacDrawProParser::sendBitmap(), HanMacWrdJGraph::sendComment(), CanvasGraph::sendDimension(), MWAWTable::sendExtraLines(), MsWksGraph::sendGroup(), MsWksGraph::sendGroupChild(), CanvasGraph::sendMultiLines(), RagTimeParser::sendPicture(), BeagleWksDRParser::sendPictures(), MarinerWrtGraph::sendRule(), ClarisDrawGraph::sendShape(), DrawTableParser::sendShape(), Canvas5Graph::sendSpecial(), CanvasGraph::sendSpecial(), CanvasGraph::update(), ClarisWksTableInternal::TableCell::update(), MacDraft5StyleManager::updateArrows(), RagTime5StyleManager::updateBorderStyle(), Canvas5StyleManager::updateLine(), Canvas5StyleManager::updateLineStyle(), FreeHandParserInternal::State::updateLineStyle(), MacDraft5StyleManager::updateLineStyle(), and ApplePictParserInternal::State::updateStyle().

## ◆ m_pattern

Pattern MWAWGraphicStyle::m_pattern

the pattern if it exists

Referenced by addTo(), cmp(), hasPattern(), MWAWGraphicStyle(), operator<<, RagTimeParser::readDataZoneHeader(), and setPattern().

## ◆ m_rotate

float MWAWGraphicStyle::m_rotate

the rotation

Referenced by MWAWGraphicListener::_handleFrameParameters(), MWAWPresentationListener::_handleFrameParameters(), cmp(), GreatWksGraphInternal::FrameText::getStyle(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertTextBox(), MWAWPresentationListener::insertTextBox(), MWAWGraphicStyle(), operator<<, RagTimeParser::readDataZoneHeader(), MacDrawProParser::readGeometryShapeData(), MacDraft5Parser::readObject(), MacDrawProParser::readRotationInObjectData(), BeagleWksDRParser::readStyle(), Canvas5Graph::send(), Canvas5Graph::send(), Canvas5Image::send(), CanvasGraph::send(), CricketDrawParser::send(), ScoopParser::send(), CricketDrawParser::sendBitmap(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendGIF(), FreeHandParser::sendPicture(), DrawTableParser::sendShape(), Canvas5Graph::sendSpecial(), and FreeHandParser::sendTextbox().

## ◆ m_shadowColor

MWAWColor MWAWGraphicStyle::m_shadowColor

the shadow color

Referenced by addFrameTo(), addTo(), cmp(), MWAWGraphicStyle(), operator<<, and setShadowColor().

## ◆ m_shadowOffset

MWAWVec2f MWAWGraphicStyle::m_shadowOffset

the shadow offset

Referenced by addFrameTo(), FullWrtStruct::Border::addTo(), addTo(), cmp(), MWAWGraphicStyle(), operator<<, RagTimeParser::readDataZoneHeader(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisDrawGraph::readShape(), CricketDrawParser::readShape(), PowerPoint7Graph::readStyle(), and MacDrawProParser::send().

## ◆ m_shadowOpacity

float MWAWGraphicStyle::m_shadowOpacity

true if the shadow has some color

Referenced by addFrameTo(), addTo(), cmp(), hasShadow(), MWAWGraphicStyle(), operator<<, and setShadowColor().

## ◆ m_surfaceColor

MWAWColor MWAWGraphicStyle::m_surfaceColor

the surface color

Referenced by addTo(), cmp(), ClarisDrawGraph::getSurfaceColor(), ClarisWksGraph::getSurfaceColor(), MWAWGraphicStyle(), operator<<, MsWksGraph::readPictHeader(), ClarisWksDbaseContent::readRecordSS(), GreatWksGraph::readStyle(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), GreatWksGraph::sendTextbox(), and setSurfaceColor().

## ◆ m_surfaceOpacity

float MWAWGraphicStyle::m_surfaceOpacity

true if the surface has some color

Referenced by addTo(), cmp(), hasPattern(), hasSurfaceColor(), MWAWGraphicStyle(), operator<<, HanMacWrdJGraph::readFrames(), HanMacWrdKGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), MacDraft5Parser::readModifier(), MacDraft5Parser::readObject(), MacDraftParser::readObject(), GreatWksGraph::readStyle(), Canvas5Graph::sendDimension9(), setPattern(), setSurfaceColor(), Canvas5StyleManager::updateSurfaceColor(), and MacDraft5StyleManager::updateSurfaceStyle().

## ◆ m_verticalAlignment

VerticalAlignment MWAWGraphicStyle::m_verticalAlignment

related to text area

Referenced by addTo(), cmp(), MWAWGraphicStyle(), and ReadySetGoGraph::readShapeV3().

The documentation for this class was generated from the following files:

- MWAWGraphicStyle.hxx
- MWAWGraphicStyle.cxx